List Clusters
GET
/clusters
const url = 'https://api.mengi.cloud/clusters';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/clustersList all clusters for the current user (excludes management and host clusters).
For shared tier clusters (vClusters), fetches real-time status from ArgoCD to ensure the UI always reflects the actual cluster state.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ClusterListResponse
object
clusters
required
Clusters
Array<object>
ClusterResponseobject
id
required
Id
string format: uuid
name
required
Name
string
provider
required
Provider
string
region
required
Region
string
tier
required
ClusterTier
string
status
required
ClusterStatus
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
autoscaling_enabled
Autoscaling Enabled
boolean
upgrade_available
Upgrade Available
boolean
component_bundle_version
Component Bundle Version
string
multi_region
Multi Region
boolean
region_locations
Any of:
Array<string>
null
is_byoc
Is Byoc
boolean
is_imported
Is Imported
boolean
is_autopilot
Is Autopilot
boolean
total
required
Total
integer
Example
{ "clusters": [ { "tier": "shared", "status": "pending", "autoscaling_enabled": false, "upgrade_available": false, "component_bundle_version": "latest", "multi_region": false, "is_byoc": false, "is_imported": false, "is_autopilot": false } ]}